> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get pension calculationby year by month



## OpenAPI

````yaml /api-reference/specs/pension-v2.json get /pension-calculation/by-year/{year}/by-month/{month}
openapi: 3.0.1
info:
  title: FlowPayroll Pension API
  version: v2
servers:
  - url: https://api.sandbox.flowpayroll.ai/v2/pension
security: []
paths:
  /pension-calculation/by-year/{year}/by-month/{month}:
    get:
      tags:
        - PensionCalculation
      operationId: GetEmployeePensionCalculationsForMonth
      parameters:
        - name: year
          in: path
          required: true
          schema:
            type: integer
            format: int32
        - name: month
          in: path
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/EmployeePensionCalculationV2ListApiResponse
components:
  schemas:
    EmployeePensionCalculationV2ListApiResponse:
      type: object
      properties:
        content:
          $ref: '#/components/schemas/EmployeePensionCalculationV2ListContent'
        metadata:
          $ref: '#/components/schemas/Metadata'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          nullable: true
        message:
          $ref: '#/components/schemas/Message'
      additionalProperties: false
    EmployeePensionCalculationV2ListContent:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/EmployeePensionCalculationV2'
          nullable: true
        metadata:
          $ref: '#/components/schemas/Metadata'
      additionalProperties: false
    Metadata:
      type: object
      properties:
        dateFormat:
          type: string
          nullable: true
        dateTimeFormat:
          type: string
          nullable: true
      additionalProperties: false
    Error:
      type: object
      properties:
        field:
          type: string
          nullable: true
        reasonText:
          type: string
          nullable: true
        reasonId:
          type: string
          nullable: true
        reasonParameters:
          type: array
          items:
            $ref: '#/components/schemas/Pair'
          nullable: true
      additionalProperties: false
    Message:
      type: object
      properties:
        text:
          type: string
          nullable: true
        textId:
          type: string
          nullable: true
        textParameters:
          type: array
          items:
            $ref: '#/components/schemas/Pair'
          nullable: true
      additionalProperties: false
    EmployeePensionCalculationV2:
      required:
        - employeeAmount
        - employeeId
        - employerAmount
        - frequency
        - organisationId
        - payrollConfigId
        - period
        - year
      type: object
      properties:
        employeeId:
          type: string
          nullable: true
        frequency:
          type: string
          nullable: true
        year:
          type: integer
          format: int32
        period:
          type: integer
          format: int32
        payrollConfigId:
          type: string
          nullable: true
        organisationId:
          type: string
          nullable: true
        employeeAmount:
          type: number
          format: double
        employerAmount:
          type: number
          format: double
        periodStart:
          type: string
          format: date
        periodEnd:
          type: string
          format: date
        nationalInsuranceNumber:
          type: string
          nullable: true
        externalReferenceId:
          type: string
          nullable: true
        pensionProviderId:
          type: string
          nullable: true
      additionalProperties: false
    Pair:
      type: object
      properties:
        key:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false

````